LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XScriptEventsAttacher Interface Referencepublished

This interface can be used to attach script events to a number of objects that give access to the definition of events that should be attached to them, e.g., by supporting XEventsSupplier. More...

`import"XScriptEventsAttacher.idl";`

Inheritance diagram for XScriptEventsAttacher:

## Public Member Functions
void | attachEvents ([in] sequence< com::sun::star::uno::XInterface > Objects, [in] com::sun::star::script::XScriptListener xListener, [in] any Helper) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::IntrospectionException, com::sun::star::script::CannotCreateAdapterException, com::sun::star::lang::ServiceNotRegisteredException )
| Attaches the events defined by XScriptEventsSupplier to the corresponding object implementing XScriptEventsSupplier. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface can be used to attach script events to a number of objects that give access to the definition of events that should be attached to them, e.g., by supporting XEventsSupplier.

## Member Function Documentation

## ◆ attachEvents()

void attachEvents | ( | [in] sequence< com::sun::star::uno::XInterface > | Objects,
|  | [in] com::sun::star::script::XScriptListener | xListener,
|  | [in] any | Helper
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::beans::IntrospectionException,
|  | com::sun::star::script::CannotCreateAdapterException,
|  | com::sun::star::lang::ServiceNotRegisteredException
| ) |  |

Attaches the events defined by XScriptEventsSupplier to the corresponding object implementing XScriptEventsSupplier.

Parameters

  Objects | Sequence of all objects. Usually the objects should directly support XScriptEventsAttacher to define the events but this is not strictly required. It's also possible that the object implementing XScriptEventsAttacher knows how to get the necessary information for the objects.
  xListener | All events (if defined by XScriptEventsSupplier) that are fired by one of the objects are mapped into a ScriptEvent and passed to the methods of this XScriptListener.
  Helper | Helper object for the implementation. This value will be passed to the XScriptListener as Helper property in the ScriptEvent.

The documentation for this interface was generated from the following file:

- com/sun/star/script/XScriptEventsAttacher.idl